#!/bin/bash

# import general use aliases
[[ -r ~/.alias ]] && . ~/.alias

# apt
alias ain="sudo apt install"

alias ar="sudo apt remove"
alias acln="sudo apt autoremove"

alias as="sudo apt search"
alias aqs="sudo apt show"
alias aql="sudo dpkg -l"
alias aqh="sudo apt-mark showhold"

function aup {
    sudo apt update;
    clear;
    sudo apt list -u;
    echo;
    read -p "Upgrade? [Y/n] " choice;
    case "$choice" in
        y|Y|"" )
            sudo apt upgrade -y;
            ;;
        * )
            return 1
            ;;
    esac
}
